Bug 218211 - wget crashes when .listing file exists
wget crashes when .listing file exists
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Depends On:
  Show dependency treegraph
Reported: 2006-12-03 08:16 EST by Tomas Heinrich
Modified: 2016-09-20 00:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-07 08:16:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fix (291 bytes, patch)
2006-12-03 08:16 EST, Tomas Heinrich
no flags Details | Diff

  None (edit)
Description Tomas Heinrich 2006-12-03 08:16:00 EST
Description of problem:
  if file '.listing' exists in the local directory when wget retrieves 
  directory listing, it crashes with
  "*** glibc detected *** wget: double free or corruption"

Version-Release number of selected component (if applicable):
  1.10.2-3.2.1, 1.10.2-7

How reproducible:

Steps to Reproduce:
  $touch .listing
  $wget ftp://kernel.org/

  this time wget magically survives even the pointer is freed twice. somewhere
  before the call to free() a new chunk of memory is allocated at the 
  address stored in the pointer. listing data is stored in index.html[.x]

  $wget ftp://kernel.org/

  now wget finally crashes.

attaching patch that should fix this.
Comment 1 Tomas Heinrich 2006-12-03 08:16:01 EST
Created attachment 142681 [details]
Comment 2 Karsten Hopp 2006-12-07 08:16:10 EST
I've built a new package with this patch which should show up in FC6-testing soon.
Please give it a try...

Note You need to log in before you can comment on or make changes to this bug.